Page 1 of 1

Make compatible the trailers for version 1.35

Posted: 13 Jun 2019 10:34
by kartal2339
hi.. i have many trailer and someones are not supporting for author.. so i want to make them compatible for 1.35
how can i solve this with blender or zmodeler3?

Re: Make compatible the trailers for version 1.35

Posted: 13 Jun 2019 12:27
by Madkine
2 changes:

1. Re-export textures for version.
2. Move cog data from trailer def to chassis. New format in chassis is :

cog_cargo_mass_min: 0.0
cog_cargo_mass_max: 17000.0
cog_cargo_offset_min: (0.0, 0.0, 2.5)
cog_cargo_offset_max: (0.0, 1.0, 2.5)

**This assumes updating from 1.34.

Re: Make compatible the trailers for version 1.35

Posted: 18 Jun 2019 07:21
by kartal2339
Madkine wrote:
13 Jun 2019 12:27
2 changes:

1. Re-export textures for version.
2. Move cog data from trailer def to chassis. New format in chassis is :

cog_cargo_mass_min: 0.0
cog_cargo_mass_max: 17000.0
cog_cargo_offset_min: (0.0, 0.0, 2.5)
cog_cargo_offset_max: (0.0, 1.0, 2.5)

**This assumes updating from 1.34.
yes i converted many trailer with this and it works properly dor dx9... but they give mant error that says unable to attributate v.vert_coord2

i think its a mapping error but i dont know how i can solve

Re: Make compatible the trailers for version 1.35

Posted: 18 Jun 2019 07:26
by SiSL
Hello Eagle,

You need to add new UVmap on Truckpaint shader areas. (I suggest same UVMap with paintjob mapping)

Problem is truckpaint shader expects 3 UVmaps. not 2 which most old ones were... (or you can edit all shader to use same UVmap) but either way you have to define it either by adding new UVmap, or changing truckpaint shader properties.

Re: Make compatible the trailers for version 1.35

Posted: 18 Jun 2019 07:34
by kartal2339
SiSL wrote:
18 Jun 2019 07:26
Hello Eagle,

You need to add new UVmap on Truckpaint shader areas. (I suggest same UVMap with paintjob mapping)

Problem is truckpaint shader expects 3 UVmaps. not 2 which most old ones were... (or you can edit all shader to use same UVmap) but either way you have to define it either by adding new UVmap, or changing truckpaint shader properties.
im very sorry for want this for you but can you show this with a picture please?

Re: Make compatible the trailers for version 1.35

Posted: 18 Jun 2019 07:40
by SiSL

Re: Make compatible the trailers for version 1.35

Posted: 18 Jun 2019 07:49
by kartal2339
thanks ..but know i have to check all material

Re: Make compatible the trailers for version 1.35

Posted: 20 Jun 2019 06:28
by kartal2339
@SİSL
i want ask one more thing ... must be DXT5 all off dds ?